Namespace
library
Image / Tag
docker:18.09.2-dind
Content Digest
sha256:699838c9f0a4396b56c1d946fea8d88a07e5224f11ccb743946a76b5947afd36
Details
Created

2019-02-28 01:20:05 UTC

Size

53.7 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

stable

DOCKER_VERSION

18.09.2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6c40cc604d8e4c121adcb6b0bfe8bb038815c350980090e74aa5a6423f8f82c0 - 4.89% (2.63 MB)

[#001] sha256:51d6d4c96fd308155315fc8f535227125342b8466a665fbf44eb87bd350de277 - 0.54% (295 KB)

[#002] sha256:945d978b4f197a284150a58bc63f99c562080d67d3eb5ba8b97945b194d58235 - 0.0% (153 Bytes)

[#003] sha256:afa24c3bcf9ccca9ccc5f859c8a8b5e23037cd33e46f555ab5f03f8835165970 - 86.1% (46.2 MB)

[#004] sha256:96e08b226bf4560034da76e2b58b2641455f96ba958271a90be3bc40cd783218 - 0.0% (545 Bytes)

[#005] sha256:4a6e0b2d656a0657b5f732fa5df502be55312fe353f10da4bf1fc4e0a69ea6ee - 0.0% (738 Bytes)

[#006] sha256:3cf8271b5d3fbb07ff2b22b367dc664be6d9cdc498003470fd8af86492aaec3f - 8.47% (4.55 MB)

[#007] sha256:dec495682b2b3c9b17ce31de098fa1b7153484d3fc199c75fbafcd0ebb307e42 - 0.0% (1.27 KB)

[#008] sha256:ea6d09f7a9f69f939d901906080f4b8215d6778a9fb6e58813e348a3313e407b - 0.0% (758 Bytes)

[#009] sha256:844c4b73f493dbea5a5efe5d27e1a15447231114f8b231244765689bca915ad0 - 0.0% (558 Bytes)


History
2019-01-30 22:19:52 UTC

/bin/sh -c #(nop) ADD file:2a1fc9351afe35698918545b2d466d9805c2e8afcec52f916785ee65bbafeced in /

2019-01-30 22:19:52 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-02-05 20:19:38 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-02-05 20:19:38 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-02-28 01:19:50 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=stable

2019-02-28 01:19:50 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.2

2019-02-28 01:19:55 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-02-28 01:19:56 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-02-28 01:19:56 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-02-28 01:19:56 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-02-28 01:19:56 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-02-28 01:20:01 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-02-28 01:20:02 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-02-28 01:20:02 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-02-28 01:20:04 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-02-28 01:20:04 UTC

/bin/sh -c #(nop) COPY file:8fa7199c70073054a7b943c52e969a2548c7f60c27b4aed162225222996db4a9 in /usr/local/bin/

2019-02-28 01:20:04 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-02-28 01:20:04 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-02-28 01:20:05 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-02-28 01:20:05 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-02-28 08:50:21 UTC

Size

48.9 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

stable

DOCKER_VERSION

18.09.2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:05276f4299f299c4d5ca6776672dcf52f03189b7004e747fd1c2b759d9157831 - 4.95% (2.42 MB)

[#001] sha256:5657e63df53674891643732c236f7932524d1710ce42d916bb3c889a8652df67 - 0.0% (173 Bytes)

[#002] sha256:febca98d02499769aafda3b753877e19487b5676a16cfcb8cc9cd663e6127421 - 0.59% (295 KB)

[#003] sha256:5053a7aa5deab3e0c4bfc6db2c156d553c3edd217c9ba4aaff8ea2b9fad14977 - 0.0% (153 Bytes)

[#004] sha256:c001068a2ca9a8dc3c157c780e57ebf7a4fcb430f675601542af256f58b3c50b - 89.06% (43.6 MB)

[#005] sha256:080c48fbe619e3d8c46d8dfc07736f6835c912fcbc58ab7a60430447cd2aab02 - 0.0% (543 Bytes)

[#006] sha256:636f6f63cf7fa2323d4afbfc70fd77f89b4e8333ec3f92a027bd08f781900bd9 - 0.0% (734 Bytes)

[#007] sha256:cafb14b88fc4630f7083d22d382063b29b94c1ed9760cc109bdd81b739d377d8 - 5.39% (2.64 MB)

[#008] sha256:14660ff2fe9dc2ce463ed163b4a74376bc9a88a4c5e1ad999e176c2150b77ad8 - 0.0% (1.29 KB)

[#009] sha256:0dd114497ccf7df36062b3b50dd0b92525a34fdd9e4a93155d483d1649ad4eb5 - 0.0% (755 Bytes)

[#010] sha256:3290b9d105f8b001fd3728bd87ce5b08158b030204d5f0df0cf13fab54edab02 - 0.0% (556 Bytes)


History
2019-01-31 08:50:08 UTC

/bin/sh -c #(nop) ADD file:64d5aa5dc08c958468e7c857c35d32a3e87c88800152264432930898defa10c5 in /

2019-01-31 08:50:09 UTC

/bin/sh -c #(nop) COPY file:a10c133d8d5e9af3a9a1610709d3ed2f85b1507f1ba5745ac12bb495974e3fe6 in /etc/localtime

2019-01-31 08:50:09 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-02-06 08:56:40 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-02-06 08:56:41 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-02-28 08:49:57 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=stable

2019-02-28 08:49:58 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.2

2019-02-28 08:50:06 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-02-28 08:50:07 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-02-28 08:50:07 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-02-28 08:50:08 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-02-28 08:50:08 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-02-28 08:50:15 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-02-28 08:50:16 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-02-28 08:50:17 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-02-28 08:50:19 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-02-28 08:50:19 UTC

/bin/sh -c #(nop) COPY file:8fa7199c70073054a7b943c52e969a2548c7f60c27b4aed162225222996db4a9 in /usr/local/bin/

2019-02-28 08:50:20 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-02-28 08:50:20 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-02-28 08:50:21 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-02-28 08:50:21 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2019-02-28 09:41:07 UTC

Size

49 MB

Content Digest
Environment
DIND_COMMIT

37498f009d8bf25fbb6199e8ccd34bed84f2874b

DOCKER_CHANNEL

stable

DOCKER_VERSION

18.09.2

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:ee02fa18913c824d1d1c9b680f1a43dad343b9d6c086a6bc62e3361c3d3a2d63 - 5.23% (2.56 MB)

[#001] sha256:afafa41235ea57b01b00eba47de1574777073a79c1d592c5709dfcbb3bd51f2a - 0.0% (176 Bytes)

[#002] sha256:5593484900d3703f8e48e8d8b2c655313cae960ef0f59e5a59bbea1736e29551 - 0.59% (295 KB)

[#003] sha256:6682f3bac3bd3144b0abdab1a15d89b6c4921b3434f7507bff7a6b8c63d82a8e - 0.0% (154 Bytes)

[#004] sha256:787ee21498eb9e0ab7128778ec33d0eabcd282370d340fdf1f48b93aac73a470 - 84.82% (41.6 MB)

[#005] sha256:3adcc98dfa78c6ea1db3112a12210bc34512d921eedf4de891d375d0be36ce85 - 0.0% (546 Bytes)

[#006] sha256:0d93044de9f875ca0c4611a24adf3221b966d3987c948460c567dab4790eff79 - 0.0% (739 Bytes)

[#007] sha256:b79438251dd0380ba88f2dbfe62a9a71d6e6e68ff18d4a662e07a8f0ac1f84b3 - 9.35% (4.59 MB)

[#008] sha256:89e4363d9157c551533716a9bee201af2edcd8962d89d0360462b0eb54fade7e - 0.0% (1.27 KB)

[#009] sha256:30392ce49a90d31ffdddffe3bf7ffad11112ddfc93cf5cf2ab9b6645a07b259f - 0.0% (756 Bytes)

[#010] sha256:f109538ab2844315cccc1917be324482f752b0d4b2431c1d711a5a240a98ac2b - 0.0% (557 Bytes)


History
2019-01-31 09:40:55 UTC

/bin/sh -c #(nop) ADD file:3c5f57c6644886bbb8164b9aa4cd60e233be7da48b7194a04963a8e7de058e28 in /

2019-01-31 09:40:56 UTC

/bin/sh -c #(nop) COPY file:a10c133d8d5e9af3a9a1610709d3ed2f85b1507f1ba5745ac12bb495974e3fe6 in /etc/localtime

2019-01-31 09:40:57 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2019-02-06 10:35:48 UTC

/bin/sh -c apk add --no-cache ca-certificates

2019-02-06 10:35:53 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2019-02-28 09:40:33 UTC

/bin/sh -c #(nop) ENV DOCKER_CHANNEL=stable

2019-02-28 09:40:33 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=18.09.2

2019-02-28 09:40:45 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in x86_64) dockerArch='x86_64' ;; armhf) dockerArch='armel' ;; aarch64) dockerArch='aarch64' ;; ppc64le) dockerArch='ppc64le' ;; s390x) dockerArch='s390x' ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; if ! wget -O docker.tgz "https://download.docker.com/linux/static/${DOCKER_CHANNEL}/${dockerArch}/docker-${DOCKER_VERSION}.tgz"; then echo >&2 "error: failed to download 'docker-${DOCKER_VERSION}' from '${DOCKER_CHANNEL}' for '${dockerArch}'"; exit 1; fi; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2019-02-28 09:40:46 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2019-02-28 09:40:46 UTC

/bin/sh -c #(nop) COPY file:232c7644a72835c769a24023d9195c15e9ea7dbe3b01f641c800526aecd5676b in /usr/local/bin/

2019-02-28 09:40:47 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2019-02-28 09:40:48 UTC

/bin/sh -c #(nop) CMD ["sh"]

2019-02-28 09:40:58 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2019-02-28 09:41:00 UTC

/bin/sh -c set -x && addgroup -S dockremap && adduser -S -G dockremap dockremap && echo 'dockremap:165536:65536' >> /etc/subuid && echo 'dockremap:165536:65536' >> /etc/subgid

2019-02-28 09:41:01 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=37498f009d8bf25fbb6199e8ccd34bed84f2874b

2019-02-28 09:41:03 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2019-02-28 09:41:04 UTC

/bin/sh -c #(nop) COPY file:8fa7199c70073054a7b943c52e969a2548c7f60c27b4aed162225222996db4a9 in /usr/local/bin/

2019-02-28 09:41:05 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2019-02-28 09:41:06 UTC

/bin/sh -c #(nop) EXPOSE 2375

2019-02-28 09:41:06 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2019-02-28 09:41:07 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete